header.wp-block-template-part {
    position: sticky;
    top: 0;
    z-index: 1000;
}

.the-header {
    box-shadow: 0 4px 5px -5px rgba(33, 33, 33, .2); //TODO: Darkmode!

    .wp-block-button__link {
        color: var(--wp--preset--color--text);
}
}

header.wp-block-template-part .wp-block-group {
    margin-block-start:0;
}

@media (max-width: 760px) {
    .np-block-menu,
    .header-donation-group {
        width:64px;
    }
}

.header-donation-group {
    .wp-block-button__link {
        color:var(--wp--preset--color--text) !important;
        background-color: transparent;
        border-color: var(--wp--preset--color--light-red);
    }
    .wp-block-button__link:hover {
        background-color: transparent;
    }
}

/* Spenden / Donation Button in the Header */
@media (max-width: 760px) {
    .header-donation-group {
        .wp-block-button {
            margin-right:10px;
        }


        .wp-block-button__link {
            border:0;

        }

        .wp-block-button__link strong {
            display:none;
        }

        .wp-block-button__link:hover,
        .wp-block-button__link:active,
        .wp-block-button__link:focus {
            border:0 !important;
            color:transparent !important;
        }

        .wp-block-button__link:before{
            content: "🤍";
            color:var(--wp--preset--color--corporate-blue-darker, inherit);
            filter: brightness(0) saturate(100%) invert(26%) sepia(47%) saturate(2643%) hue-rotate(308deg) brightness(95%) contrast(91%);
        }

    }
}
